Subject: Re: bug#55110: 29.0.50; Regression in query-replace prompt

From: Augusto Stoffel <[email-masked]>
Date: Tue, 26 Apr 2022 21:42:28 +0200

Thanks for the heads up, I'll take a look at this some time soon.

On Mon, 25 Apr 2022 at 18:37, Juri Linkov <[email-masked]> wrote:

> Maybe this is caused by minibuffer-lazy-highlight-setup
> that sets filter to replace--region-filter in the minibuffer
> instead of the original buffer?

Most likely, yes.  `replace--region-filter' is modified globally, so a
similar problem should happen if you temporarily leave the minibuffer
and do Isearch in any other buffer.

If that's the case, I think we would have two options:

1) Add a quick fix for the minibuffer Isearch only.

2) A more complicated change that solves the issue generally by saving
the region filter in the fashion of isearch-lazy-highlight-regexp et
alii.

WDYT?